> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/Basket/Process ## OpenAPI ````json POST /v26.4/Basket/Process { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/Basket/Process": { "post": { "tags": [ "Basket" ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/BasketRequestDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/BasketRequestDTO" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/BasketRequestDTO" } } } }, "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "string" } }, "application/json": { "schema": { "type": "string" } }, "text/json": { "schema": { "type": "string" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "BasketRequestDTO": { "type": "object", "properties": { "shopServerUserName": { "type": "string", "nullable": true }, "shopServerPassword": { "type": "string", "nullable": true }, "shopServerStoreNumber": { "type": "integer", "format": "int32", "default": -1 }, "xmlData": { "type": "string", "nullable": true }, "webshopOnly": { "type": "boolean", "default": false }, "determinePrices": { "type": "boolean", "default": false } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````